Subject: bug#41815: closed (Re: [bug#41815] gnu: icecat: Fix WebGL support)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Jun 2020 23:36:02 +0000

Your bug report

#41815: gnu: icecat: Fix WebGL support

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41815: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41815
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#41815] gnu: icecat: Fix WebGL support
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Cc: Ekaitz Zarraga <[email-masked]>
Date: Fri, 12 Jun 2020 01:35:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Thu, 11 Jun 2020 20:40:48 +0000,
Ekaitz Zarraga <[email-masked]> a écrit :

> Hi,
> 
> I think this fixes WebGL support in IceCat:
> 
> http://issues.guix.gnu.org/34135#10
> 
> Best!
> 
> 

Pushed as 9c6ea3cb5617a1928073f41f174765ab14adbaa9, thank you!

Note that I added dots at the end of your log message, and removed
indentation on the third line of the log message.

Subject: gnu: icecat: Fix WebGL support
From: Ekaitz Zarraga <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 11 Jun 2020 20:40:48 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I think this fixes WebGL support in IceCat:

http://issues.guix.gnu.org/34135#10

Best!

>From 382d45f95433be2f4c675b03e035daa253421371 Mon Sep 17 00:00:00 2001
From: Ekaitz Zarraga <[email-masked]>
Date: Thu, 11 Jun 2020 22:33:49 +0200
Subject: [PATCH] gnu: icecat: Fix WebGL support

    * gnu/packages/gnuzilla.scm (icecat): Wrap mesa
---
 gnu/packages/gnuzilla.scm | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/gnuzilla.scm b/gnu/packages/gnuzilla.scm
index 7bf9850e97..570398ecd9 100644
--- a/gnu/packages/gnuzilla.scm
+++ b/gnu/packages/gnuzilla.scm
@@ -1112,11 +1112,13 @@ from forcing GEXP-PROMISE."
                     (lib (string-append out "/lib"))
                     (gtk (assoc-ref inputs "gtk+"))
                     (gtk-share (string-append gtk "/share"))
+                    (mesa (assoc-ref inputs "mesa"))
+                    (mesa-lib (string-append mesa "/lib"))
                     (pulseaudio (assoc-ref inputs "pulseaudio"))
                     (pulseaudio-lib (string-append pulseaudio "/lib")))
                (wrap-program (car (find-files lib "^icecat$"))
                  `("XDG_DATA_DIRS" prefix (,gtk-share))
-                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib)))
+                 `("LD_LIBRARY_PATH" prefix (,pulseaudio-lib ,mesa-lib)))
                #t))))))
     (home-page "https://www.gnu.org/software/gnuzilla/")
     (synopsis "Entirely free browser derived from Mozilla Firefox")
--
2.26.2